Properties
  Enter the name of the Group along with a brief description of its role.
Group Type
  Use the pulldown to select the Group's Type.

Click Next for the second page of the Profile.

Members
  Determine which of the available objects will be members of the Group. Select one at a time from the list on the left and click Add to List. The list on the right shows all of the Group's current members. To remove members, select their names one at a time and click Remove from List.
Permissions
  Click this button to reach the Group's permissions page.

When finished, click Save.